"Fossies" - the Fresh Open Source Software Archive

Member "mod_auth_ldap/configure" (15 Apr 2000, 32142 Bytes) of package /linux/www/apache_httpd_modules/old/mod_auth_ldap-0.5.1.tar.gz:


As a special service "Fossies" has tried to format the requested source page into HTML format using (guessed) Bash source code syntax highlighting (style: standard) with prefixed line numbers and code folding option. Alternatively you can here view or download the uninterpreted source code file.

    1 #! /bin/sh
    2 
    3 # Guess values for system-dependent variables and create Makefiles.
    4 # Generated automatically using autoconf version 2.12 
    5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
    6 #
    7 # This configure script is free software; the Free Software Foundation
    8 # gives unlimited permission to copy, distribute and modify it.
    9 
   10 # Defaults:
   11 ac_help=
   12 ac_default_prefix=/usr/local
   13 # Any additions from configure.in:
   14 
   15 # Initialize some variables set by options.
   16 # The variables have the same names as the options, with
   17 # dashes changed to underlines.
   18 build=NONE
   19 cache_file=./config.cache
   20 exec_prefix=NONE
   21 host=NONE
   22 no_create=
   23 nonopt=NONE
   24 no_recursion=
   25 prefix=NONE
   26 program_prefix=NONE
   27 program_suffix=NONE
   28 program_transform_name=s,x,x,
   29 silent=
   30 site=
   31 srcdir=
   32 target=NONE
   33 verbose=
   34 x_includes=NONE
   35 x_libraries=NONE
   36 bindir='${exec_prefix}/bin'
   37 sbindir='${exec_prefix}/sbin'
   38 libexecdir='${exec_prefix}/libexec'
   39 datadir='${prefix}/share'
   40 sysconfdir='${prefix}/etc'
   41 sharedstatedir='${prefix}/com'
   42 localstatedir='${prefix}/var'
   43 libdir='${exec_prefix}/lib'
   44 includedir='${prefix}/include'
   45 oldincludedir='/usr/include'
   46 infodir='${prefix}/info'
   47 mandir='${prefix}/man'
   48 
   49 # Initialize some other variables.
   50 subdirs=
   51 MFLAGS= MAKEFLAGS=
   52 # Maximum number of lines to put in a shell here document.
   53 ac_max_here_lines=12
   54 
   55 ac_prev=
   56 for ac_option
   57 do
   58 
   59   # If the previous option needs an argument, assign it.
   60   if test -n "$ac_prev"; then
   61     eval "$ac_prev=\$ac_option"
   62     ac_prev=
   63     continue
   64   fi
   65 
   66   case "$ac_option" in
   67   -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
   68   *) ac_optarg= ;;
   69   esac
   70 
   71   # Accept the important Cygnus configure options, so we can diagnose typos.
   72 
   73   case "$ac_option" in
   74 
   75   -bindir | --bindir | --bindi | --bind | --bin | --bi)
   76     ac_prev=bindir ;;
   77   -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
   78     bindir="$ac_optarg" ;;
   79 
   80   -build | --build | --buil | --bui | --bu)
   81     ac_prev=build ;;
   82   -build=* | --build=* | --buil=* | --bui=* | --bu=*)
   83     build="$ac_optarg" ;;
   84 
   85   -cache-file | --cache-file | --cache-fil | --cache-fi \
   86   | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
   87     ac_prev=cache_file ;;
   88   -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
   89   | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
   90     cache_file="$ac_optarg" ;;
   91 
   92   -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
   93     ac_prev=datadir ;;
   94   -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
   95   | --da=*)
   96     datadir="$ac_optarg" ;;
   97 
   98   -disable-* | --disable-*)
   99     ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
  100     # Reject names that are not valid shell variable names.
  101     if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
  102       { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
  103     fi
  104     ac_feature=`echo $ac_feature| sed 's/-/_/g'`
  105     eval "enable_${ac_feature}=no" ;;
  106 
  107   -enable-* | --enable-*)
  108     ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
  109     # Reject names that are not valid shell variable names.
  110     if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
  111       { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
  112     fi
  113     ac_feature=`echo $ac_feature| sed 's/-/_/g'`
  114     case "$ac_option" in
  115       *=*) ;;
  116       *) ac_optarg=yes ;;
  117     esac
  118     eval "enable_${ac_feature}='$ac_optarg'" ;;
  119 
  120   -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  121   | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  122   | --exec | --exe | --ex)
  123     ac_prev=exec_prefix ;;
  124   -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  125   | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  126   | --exec=* | --exe=* | --ex=*)
  127     exec_prefix="$ac_optarg" ;;
  128 
  129   -gas | --gas | --ga | --g)
  130     # Obsolete; use --with-gas.
  131     with_gas=yes ;;
  132 
  133   -help | --help | --hel | --he)
  134     # Omit some internal or obsolete options to make the list less imposing.
  135     # This message is too long to be a string in the A/UX 3.1 sh.
  136     cat << EOF
  137 Usage: configure [options] [host]
  138 Options: [defaults in brackets after descriptions]
  139 Configuration:
  140   --cache-file=FILE       cache test results in FILE
  141   --help                  print this message
  142   --no-create             do not create output files
  143   --quiet, --silent       do not print \`checking...' messages
  144   --version               print the version of autoconf that created configure
  145 Directory and file names:
  146   --prefix=PREFIX         install architecture-independent files in PREFIX
  147                           [$ac_default_prefix]
  148   --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
  149                           [same as prefix]
  150   --bindir=DIR            user executables in DIR [EPREFIX/bin]
  151   --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
  152   --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
  153   --datadir=DIR           read-only architecture-independent data in DIR
  154                           [PREFIX/share]
  155   --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
  156   --sharedstatedir=DIR    modifiable architecture-independent data in DIR
  157                           [PREFIX/com]
  158   --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
  159   --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
  160   --includedir=DIR        C header files in DIR [PREFIX/include]
  161   --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
  162   --infodir=DIR           info documentation in DIR [PREFIX/info]
  163   --mandir=DIR            man documentation in DIR [PREFIX/man]
  164   --srcdir=DIR            find the sources in DIR [configure dir or ..]
  165   --program-prefix=PREFIX prepend PREFIX to installed program names
  166   --program-suffix=SUFFIX append SUFFIX to installed program names
  167   --program-transform-name=PROGRAM
  168                           run sed PROGRAM on installed program names
  169 EOF
  170     cat << EOF
  171 Host type:
  172   --build=BUILD           configure for building on BUILD [BUILD=HOST]
  173   --host=HOST             configure for HOST [guessed]
  174   --target=TARGET         configure for TARGET [TARGET=HOST]
  175 Features and packages:
  176   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  177   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  178   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  179   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  180   --x-includes=DIR        X include files are in DIR
  181   --x-libraries=DIR       X library files are in DIR
  182 EOF
  183     if test -n "$ac_help"; then
  184       echo "--enable and --with options recognized:$ac_help"
  185     fi
  186     exit 0 ;;
  187 
  188   -host | --host | --hos | --ho)
  189     ac_prev=host ;;
  190   -host=* | --host=* | --hos=* | --ho=*)
  191     host="$ac_optarg" ;;
  192 
  193   -includedir | --includedir | --includedi | --included | --include \
  194   | --includ | --inclu | --incl | --inc)
  195     ac_prev=includedir ;;
  196   -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
  197   | --includ=* | --inclu=* | --incl=* | --inc=*)
  198     includedir="$ac_optarg" ;;
  199 
  200   -infodir | --infodir | --infodi | --infod | --info | --inf)
  201     ac_prev=infodir ;;
  202   -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
  203     infodir="$ac_optarg" ;;
  204 
  205   -libdir | --libdir | --libdi | --libd)
  206     ac_prev=libdir ;;
  207   -libdir=* | --libdir=* | --libdi=* | --libd=*)
  208     libdir="$ac_optarg" ;;
  209 
  210   -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
  211   | --libexe | --libex | --libe)
  212     ac_prev=libexecdir ;;
  213   -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
  214   | --libexe=* | --libex=* | --libe=*)
  215     libexecdir="$ac_optarg" ;;
  216 
  217   -localstatedir | --localstatedir | --localstatedi | --localstated \
  218   | --localstate | --localstat | --localsta | --localst \
  219   | --locals | --local | --loca | --loc | --lo)
  220     ac_prev=localstatedir ;;
  221   -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
  222   | --localstate=* | --localstat=* | --localsta=* | --localst=* \
  223   | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
  224     localstatedir="$ac_optarg" ;;
  225 
  226   -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
  227     ac_prev=mandir ;;
  228   -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
  229     mandir="$ac_optarg" ;;
  230 
  231   -nfp | --nfp | --nf)
  232     # Obsolete; use --without-fp.
  233     with_fp=no ;;
  234 
  235   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  236   | --no-cr | --no-c)
  237     no_create=yes ;;
  238 
  239   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  240   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
  241     no_recursion=yes ;;
  242 
  243   -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
  244   | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
  245   | --oldin | --oldi | --old | --ol | --o)
  246     ac_prev=oldincludedir ;;
  247   -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
  248   | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
  249   | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
  250     oldincludedir="$ac_optarg" ;;
  251 
  252   -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
  253     ac_prev=prefix ;;
  254   -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
  255     prefix="$ac_optarg" ;;
  256 
  257   -program-prefix | --program-prefix | --program-prefi | --program-pref \
  258   | --program-pre | --program-pr | --program-p)
  259     ac_prev=program_prefix ;;
  260   -program-prefix=* | --program-prefix=* | --program-prefi=* \
  261   | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
  262     program_prefix="$ac_optarg" ;;
  263 
  264   -program-suffix | --program-suffix | --program-suffi | --program-suff \
  265   | --program-suf | --program-su | --program-s)
  266     ac_prev=program_suffix ;;
  267   -program-suffix=* | --program-suffix=* | --program-suffi=* \
  268   | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
  269     program_suffix="$ac_optarg" ;;
  270 
  271   -program-transform-name | --program-transform-name \
  272   | --program-transform-nam | --program-transform-na \
  273   | --program-transform-n | --program-transform- \
  274   | --program-transform | --program-transfor \
  275   | --program-transfo | --program-transf \
  276   | --program-trans | --program-tran \
  277   | --progr-tra | --program-tr | --program-t)
  278     ac_prev=program_transform_name ;;
  279   -program-transform-name=* | --program-transform-name=* \
  280   | --program-transform-nam=* | --program-transform-na=* \
  281   | --program-transform-n=* | --program-transform-=* \
  282   | --program-transform=* | --program-transfor=* \
  283   | --program-transfo=* | --program-transf=* \
  284   | --program-trans=* | --program-tran=* \
  285   | --progr-tra=* | --program-tr=* | --program-t=*)
  286     program_transform_name="$ac_optarg" ;;
  287 
  288   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  289   | -silent | --silent | --silen | --sile | --sil)
  290     silent=yes ;;
  291 
  292   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
  293     ac_prev=sbindir ;;
  294   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
  295   | --sbi=* | --sb=*)
  296     sbindir="$ac_optarg" ;;
  297 
  298   -sharedstatedir | --sharedstatedir | --sharedstatedi \
  299   | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
  300   | --sharedst | --shareds | --shared | --share | --shar \
  301   | --sha | --sh)
  302     ac_prev=sharedstatedir ;;
  303   -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
  304   | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
  305   | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
  306   | --sha=* | --sh=*)
  307     sharedstatedir="$ac_optarg" ;;
  308 
  309   -site | --site | --sit)
  310     ac_prev=site ;;
  311   -site=* | --site=* | --sit=*)
  312     site="$ac_optarg" ;;
  313 
  314   -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
  315     ac_prev=srcdir ;;
  316   -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
  317     srcdir="$ac_optarg" ;;
  318 
  319   -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
  320   | --syscon | --sysco | --sysc | --sys | --sy)
  321     ac_prev=sysconfdir ;;
  322   -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
  323   | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
  324     sysconfdir="$ac_optarg" ;;
  325 
  326   -target | --target | --targe | --targ | --tar | --ta | --t)
  327     ac_prev=target ;;
  328   -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
  329     target="$ac_optarg" ;;
  330 
  331   -v | -verbose | --verbose | --verbos | --verbo | --verb)
  332     verbose=yes ;;
  333 
  334   -version | --version | --versio | --versi | --vers)
  335     echo "configure generated by autoconf version 2.12"
  336     exit 0 ;;
  337 
  338   -with-* | --with-*)
  339     ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
  340     # Reject names that are not valid shell variable names.
  341     if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
  342       { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
  343     fi
  344     ac_package=`echo $ac_package| sed 's/-/_/g'`
  345     case "$ac_option" in
  346       *=*) ;;
  347       *) ac_optarg=yes ;;
  348     esac
  349     eval "with_${ac_package}='$ac_optarg'" ;;
  350 
  351   -without-* | --without-*)
  352     ac_package=`echo $ac_option|sed -e 's/-*without-//'`
  353     # Reject names that are not valid shell variable names.
  354     if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
  355       { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
  356     fi
  357     ac_package=`echo $ac_package| sed 's/-/_/g'`
  358     eval "with_${ac_package}=no" ;;
  359 
  360   --x)
  361     # Obsolete; use --with-x.
  362     with_x=yes ;;
  363 
  364   -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  365   | --x-incl | --x-inc | --x-in | --x-i)
  366     ac_prev=x_includes ;;
  367   -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  368   | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
  369     x_includes="$ac_optarg" ;;
  370 
  371   -x-libraries | --x-libraries | --x-librarie | --x-librari \
  372   | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
  373     ac_prev=x_libraries ;;
  374   -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  375   | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
  376     x_libraries="$ac_optarg" ;;
  377 
  378   -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
  379     ;;
  380 
  381   *)
  382     if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
  383       echo "configure: warning: $ac_option: invalid host type" 1>&2
  384     fi
  385     if test "x$nonopt" != xNONE; then
  386       { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
  387     fi
  388     nonopt="$ac_option"
  389     ;;
  390 
  391   esac
  392 done
  393 
  394 if test -n "$ac_prev"; then
  395   { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
  396 fi
  397 
  398 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
  399 
  400 # File descriptor usage:
  401 # 0 standard input
  402 # 1 file creation
  403 # 2 errors and warnings
  404 # 3 some systems may open it to /dev/tty
  405 # 4 used on the Kubota Titan
  406 # 6 checking for... messages and results
  407 # 5 compiler messages saved in config.log
  408 if test "$silent" = yes; then
  409   exec 6>/dev/null
  410 else
  411   exec 6>&1
  412 fi
  413 exec 5>./config.log
  414 
  415 echo "\
  416 This file contains any messages produced by compilers while
  417 running configure, to aid debugging if configure makes a mistake.
  418 " 1>&5
  419 
  420 # Strip out --no-create and --no-recursion so they do not pile up.
  421 # Also quote any args containing shell metacharacters.
  422 ac_configure_args=
  423 for ac_arg
  424 do
  425   case "$ac_arg" in
  426   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  427   | --no-cr | --no-c) ;;
  428   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  429   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
  430   *" "*|*"  "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
  431   ac_configure_args="$ac_configure_args '$ac_arg'" ;;
  432   *) ac_configure_args="$ac_configure_args $ac_arg" ;;
  433   esac
  434 done
  435 
  436 # NLS nuisances.
  437 # Only set these to C if already set.  These must not be set unconditionally
  438 # because not all systems understand e.g. LANG=C (notably SCO).
  439 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
  440 # Non-C LC_CTYPE values break the ctype check.
  441 if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
  442 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
  443 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
  444 if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
  445 
  446 # confdefs.h avoids OS command line length limits that DEFS can exceed.
  447 rm -rf conftest* confdefs.h
  448 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
  449 echo > confdefs.h
  450 
  451 # A filename unique to this package, relative to the directory that
  452 # configure is in, which we can look for to find out if srcdir is correct.
  453 ac_unique_file=sha1.c
  454 
  455 # Find the source files, if location was not specified.
  456 if test -z "$srcdir"; then
  457   ac_srcdir_defaulted=yes
  458   # Try the directory containing this script, then its parent.
  459   ac_prog=$0
  460   ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  461   test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  462   srcdir=$ac_confdir
  463   if test ! -r $srcdir/$ac_unique_file; then
  464     srcdir=..
  465   fi
  466 else
  467   ac_srcdir_defaulted=no
  468 fi
  469 if test ! -r $srcdir/$ac_unique_file; then
  470   if test "$ac_srcdir_defaulted" = yes; then
  471     { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
  472   else
  473     { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
  474   fi
  475 fi
  476 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
  477 
  478 # Prefer explicitly selected file to automatically selected ones.
  479 if test -z "$CONFIG_SITE"; then
  480   if test "x$prefix" != xNONE; then
  481     CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
  482   else
  483     CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
  484   fi
  485 fi
  486 for ac_site_file in $CONFIG_SITE; do
  487   if test -r "$ac_site_file"; then
  488     echo "loading site script $ac_site_file"
  489     . "$ac_site_file"
  490   fi
  491 done
  492 
  493 if test -r "$cache_file"; then
  494   echo "loading cache $cache_file"
  495   . $cache_file
  496 else
  497   echo "creating cache $cache_file"
  498   > $cache_file
  499 fi
  500 
  501 ac_ext=c
  502 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
  503 ac_cpp='$CPP $CPPFLAGS'
  504 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
  505 ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
  506 cross_compiling=$ac_cv_prog_cc_cross
  507 
  508 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
  509   # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
  510   if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
  511     ac_n= ac_c='
  512 ' ac_t='    '
  513   else
  514     ac_n=-n ac_c= ac_t=
  515   fi
  516 else
  517   ac_n= ac_c='\c' ac_t=
  518 fi
  519 
  520 
  521 
  522 echo $ac_n "checking whether byte ordering is bigendian""... $ac_c" 1>&6
  523 echo "configure:524: checking whether byte ordering is bigendian" >&5
  524 if eval "test \"`echo '$''{'ac_cv_c_bigendian'+set}'`\" = set"; then
  525   echo $ac_n "(cached) $ac_c" 1>&6
  526 else
  527   ac_cv_c_bigendian=unknown
  528 # See if sys/param.h defines the BYTE_ORDER macro.
  529 cat > conftest.$ac_ext <<EOF
  530 #line 531 "configure"
  531 #include "confdefs.h"
  532 #include <sys/types.h>
  533 #include <sys/param.h>
  534 int main() {
  535 
  536 #if !BYTE_ORDER || !BIG_ENDIAN || !LITTLE_ENDIAN
  537  bogus endian macros
  538 #endif
  539 ; return 0; }
  540 EOF
  541 if { (eval echo configure:542: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
  542   rm -rf conftest*
  543   # It does; now see whether it defined to BIG_ENDIAN or not.
  544 cat > conftest.$ac_ext <<EOF
  545 #line 546 "configure"
  546 #include "confdefs.h"
  547 #include <sys/types.h>
  548 #include <sys/param.h>
  549 int main() {
  550 
  551 #if BYTE_ORDER != BIG_ENDIAN
  552  not big endian
  553 #endif
  554 ; return 0; }
  555 EOF
  556 if { (eval echo configure:557: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
  557   rm -rf conftest*
  558   ac_cv_c_bigendian=yes
  559 else
  560   echo "configure: failed program was:" >&5
  561   cat conftest.$ac_ext >&5
  562   rm -rf conftest*
  563   ac_cv_c_bigendian=no
  564 fi
  565 rm -f conftest*
  566 else
  567   echo "configure: failed program was:" >&5
  568   cat conftest.$ac_ext >&5
  569 fi
  570 rm -f conftest*
  571 if test $ac_cv_c_bigendian = unknown; then
  572 if test "$cross_compiling" = yes; then
  573     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
  574 else
  575   cat > conftest.$ac_ext <<EOF
  576 #line 577 "configure"
  577 #include "confdefs.h"
  578 main () {
  579   /* Are we little or big endian?  From Harbison&Steele.  */
  580   union
  581   {
  582     long l;
  583     char c[sizeof (long)];
  584   } u;
  585   u.l = 1;
  586   exit (u.c[sizeof (long) - 1] == 1);
  587 }
  588 EOF
  589 if { (eval echo configure:590: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
  590 then
  591   ac_cv_c_bigendian=no
  592 else
  593   echo "configure: failed program was:" >&5
  594   cat conftest.$ac_ext >&5
  595   rm -fr conftest*
  596   ac_cv_c_bigendian=yes
  597 fi
  598 rm -fr conftest*
  599 fi
  600 
  601 fi
  602 fi
  603 
  604 echo "$ac_t""$ac_cv_c_bigendian" 1>&6
  605 if test $ac_cv_c_bigendian = yes; then
  606   cat >> confdefs.h <<\EOF
  607 #define WORDS_BIGENDIAN 1
  608 EOF
  609 
  610 fi
  611 
  612 trap '' 1 2 15
  613 cat > confcache <<\EOF
  614 # This file is a shell script that caches the results of configure
  615 # tests run on this system so they can be shared between configure
  616 # scripts and configure runs.  It is not useful on other systems.
  617 # If it contains results you don't want to keep, you may remove or edit it.
  618 #
  619 # By default, configure uses ./config.cache as the cache file,
  620 # creating it if it does not exist already.  You can give configure
  621 # the --cache-file=FILE option to use a different cache file; that is
  622 # what configure does when it calls configure scripts in
  623 # subdirectories, so they share the cache.
  624 # Giving --cache-file=/dev/null disables caching, for debugging configure.
  625 # config.status only pays attention to the cache file if you give it the
  626 # --recheck option to rerun configure.
  627 #
  628 EOF
  629 # The following way of writing the cache mishandles newlines in values,
  630 # but we know of no workaround that is simple, portable, and efficient.
  631 # So, don't put newlines in cache variables' values.
  632 # Ultrix sh set writes to stderr and can't be redirected directly,
  633 # and sets the high bit in the cache file unless we assign to the vars.
  634 (set) 2>&1 |
  635   case `(ac_space=' '; set) 2>&1` in
  636   *ac_space=\ *)
  637     # `set' does not quote correctly, so add quotes (double-quote substitution
  638     # turns \\\\ into \\, and sed turns \\ into \).
  639     sed -n \
  640       -e "s/'/'\\\\''/g" \
  641       -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
  642     ;;
  643   *)
  644     # `set' quotes correctly as required by POSIX, so do not add quotes.
  645     sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
  646     ;;
  647   esac >> confcache
  648 if cmp -s $cache_file confcache; then
  649   :
  650 else
  651   if test -w $cache_file; then
  652     echo "updating cache $cache_file"
  653     cat confcache > $cache_file
  654   else
  655     echo "not updating unwritable cache $cache_file"
  656   fi
  657 fi
  658 rm -f confcache
  659 
  660 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
  661 
  662 test "x$prefix" = xNONE && prefix=$ac_default_prefix
  663 # Let make expand exec_prefix.
  664 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
  665 
  666 # Any assignment to VPATH causes Sun make to only execute
  667 # the first set of double-colon rules, so remove it if not needed.
  668 # If there is a colon in the path, we need to keep it.
  669 if test "x$srcdir" = x.; then
  670   ac_vpsub='/^[     ]*VPATH[    ]*=[^:]*$/d'
  671 fi
  672 
  673 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
  674 
  675 DEFS=-DHAVE_CONFIG_H
  676 
  677 # Without the "./", some shells look in PATH for config.status.
  678 : ${CONFIG_STATUS=./config.status}
  679 
  680 echo creating $CONFIG_STATUS
  681 rm -f $CONFIG_STATUS
  682 cat > $CONFIG_STATUS <<EOF
  683 #! /bin/sh
  684 # Generated automatically by configure.
  685 # Run this file to recreate the current configuration.
  686 # This directory was configured as follows,
  687 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
  688 #
  689 # $0 $ac_configure_args
  690 #
  691 # Compiler output produced by configure, useful for debugging
  692 # configure, is in ./config.log if it exists.
  693 
  694 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
  695 for ac_option
  696 do
  697   case "\$ac_option" in
  698   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  699     echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
  700     exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
  701   -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
  702     echo "$CONFIG_STATUS generated by autoconf version 2.12"
  703     exit 0 ;;
  704   -help | --help | --hel | --he | --h)
  705     echo "\$ac_cs_usage"; exit 0 ;;
  706   *) echo "\$ac_cs_usage"; exit 1 ;;
  707   esac
  708 done
  709 
  710 ac_given_srcdir=$srcdir
  711 
  712 trap 'rm -fr `echo " config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
  713 EOF
  714 cat >> $CONFIG_STATUS <<EOF
  715 
  716 # Protect against being on the right side of a sed subst in config.status.
  717 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
  718  s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
  719 $ac_vpsub
  720 $extrasub
  721 s%@CFLAGS@%$CFLAGS%g
  722 s%@CPPFLAGS@%$CPPFLAGS%g
  723 s%@CXXFLAGS@%$CXXFLAGS%g
  724 s%@DEFS@%$DEFS%g
  725 s%@LDFLAGS@%$LDFLAGS%g
  726 s%@LIBS@%$LIBS%g
  727 s%@exec_prefix@%$exec_prefix%g
  728 s%@prefix@%$prefix%g
  729 s%@program_transform_name@%$program_transform_name%g
  730 s%@bindir@%$bindir%g
  731 s%@sbindir@%$sbindir%g
  732 s%@libexecdir@%$libexecdir%g
  733 s%@datadir@%$datadir%g
  734 s%@sysconfdir@%$sysconfdir%g
  735 s%@sharedstatedir@%$sharedstatedir%g
  736 s%@localstatedir@%$localstatedir%g
  737 s%@libdir@%$libdir%g
  738 s%@includedir@%$includedir%g
  739 s%@oldincludedir@%$oldincludedir%g
  740 s%@infodir@%$infodir%g
  741 s%@mandir@%$mandir%g
  742 
  743 CEOF
  744 EOF
  745 
  746 cat >> $CONFIG_STATUS <<\EOF
  747 
  748 # Split the substitutions into bite-sized pieces for seds with
  749 # small command number limits, like on Digital OSF/1 and HP-UX.
  750 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
  751 ac_file=1 # Number of current file.
  752 ac_beg=1 # First line for current file.
  753 ac_end=$ac_max_sed_cmds # Line after last line for current file.
  754 ac_more_lines=:
  755 ac_sed_cmds=""
  756 while $ac_more_lines; do
  757   if test $ac_beg -gt 1; then
  758     sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
  759   else
  760     sed "${ac_end}q" conftest.subs > conftest.s$ac_file
  761   fi
  762   if test ! -s conftest.s$ac_file; then
  763     ac_more_lines=false
  764     rm -f conftest.s$ac_file
  765   else
  766     if test -z "$ac_sed_cmds"; then
  767       ac_sed_cmds="sed -f conftest.s$ac_file"
  768     else
  769       ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
  770     fi
  771     ac_file=`expr $ac_file + 1`
  772     ac_beg=$ac_end
  773     ac_end=`expr $ac_end + $ac_max_sed_cmds`
  774   fi
  775 done
  776 if test -z "$ac_sed_cmds"; then
  777   ac_sed_cmds=cat
  778 fi
  779 EOF
  780 
  781 cat >> $CONFIG_STATUS <<EOF
  782 
  783 CONFIG_FILES=\${CONFIG_FILES-""}
  784 EOF
  785 cat >> $CONFIG_STATUS <<\EOF
  786 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
  787   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  788   case "$ac_file" in
  789   *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
  790        ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  791   *) ac_file_in="${ac_file}.in" ;;
  792   esac
  793 
  794   # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
  795 
  796   # Remove last slash and all that follows it.  Not all systems have dirname.
  797   ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  798   if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
  799     # The file is in a subdirectory.
  800     test ! -d "$ac_dir" && mkdir "$ac_dir"
  801     ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
  802     # A "../" for each directory in $ac_dir_suffix.
  803     ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  804   else
  805     ac_dir_suffix= ac_dots=
  806   fi
  807 
  808   case "$ac_given_srcdir" in
  809   .)  srcdir=.
  810       if test -z "$ac_dots"; then top_srcdir=.
  811       else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
  812   /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  813   *) # Relative path.
  814     srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
  815     top_srcdir="$ac_dots$ac_given_srcdir" ;;
  816   esac
  817 
  818 
  819   echo creating "$ac_file"
  820   rm -f "$ac_file"
  821   configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
  822   case "$ac_file" in
  823   *Makefile*) ac_comsub="1i\\
  824 # $configure_input" ;;
  825   *) ac_comsub= ;;
  826   esac
  827 
  828   ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
  829   sed -e "$ac_comsub
  830 s%@configure_input@%$configure_input%g
  831 s%@srcdir@%$srcdir%g
  832 s%@top_srcdir@%$top_srcdir%g
  833 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
  834 fi; done
  835 rm -f conftest.s*
  836 
  837 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
  838 # NAME is the cpp macro being defined and VALUE is the value it is being given.
  839 #
  840 # ac_d sets the value in "#define NAME VALUE" lines.
  841 ac_dA='s%^\([   ]*\)#\([    ]*define[   ][  ]*\)'
  842 ac_dB='\([  ][  ]*\)[^  ]*%\1#\2'
  843 ac_dC='\3'
  844 ac_dD='%g'
  845 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
  846 ac_uA='s%^\([   ]*\)#\([    ]*\)undef\([    ][  ]*\)'
  847 ac_uB='\([  ]\)%\1#\2define\3'
  848 ac_uC=' '
  849 ac_uD='\4%g'
  850 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
  851 ac_eA='s%^\([   ]*\)#\([    ]*\)undef\([    ][  ]*\)'
  852 ac_eB='$%\1#\2define\3'
  853 ac_eC=' '
  854 ac_eD='%g'
  855 
  856 if test "${CONFIG_HEADERS+set}" != set; then
  857 EOF
  858 cat >> $CONFIG_STATUS <<EOF
  859   CONFIG_HEADERS="config.h"
  860 EOF
  861 cat >> $CONFIG_STATUS <<\EOF
  862 fi
  863 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
  864   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  865   case "$ac_file" in
  866   *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
  867        ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  868   *) ac_file_in="${ac_file}.in" ;;
  869   esac
  870 
  871   echo creating $ac_file
  872 
  873   rm -f conftest.frag conftest.in conftest.out
  874   ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
  875   cat $ac_file_inputs > conftest.in
  876 
  877 EOF
  878 
  879 # Transform confdefs.h into a sed script conftest.vals that substitutes
  880 # the proper values into config.h.in to produce config.h.  And first:
  881 # Protect against being on the right side of a sed subst in config.status.
  882 # Protect against being in an unquoted here document in config.status.
  883 rm -f conftest.vals
  884 cat > conftest.hdr <<\EOF
  885 s/[\\&%]/\\&/g
  886 s%[\\$`]%\\&%g
  887 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
  888 s%ac_d%ac_u%gp
  889 s%ac_u%ac_e%gp
  890 EOF
  891 sed -n -f conftest.hdr confdefs.h > conftest.vals
  892 rm -f conftest.hdr
  893 
  894 # This sed command replaces #undef with comments.  This is necessary, for
  895 # example, in the case of _POSIX_SOURCE, which is predefined and required
  896 # on some systems where configure will not decide to define it.
  897 cat >> conftest.vals <<\EOF
  898 s%^[    ]*#[    ]*undef[    ][  ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
  899 EOF
  900 
  901 # Break up conftest.vals because some shells have a limit on
  902 # the size of here documents, and old seds have small limits too.
  903 
  904 rm -f conftest.tail
  905 while :
  906 do
  907   ac_lines=`grep -c . conftest.vals`
  908   # grep -c gives empty output for an empty file on some AIX systems.
  909   if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
  910   # Write a limited-size here document to conftest.frag.
  911   echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
  912   sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
  913   echo 'CEOF
  914   sed -f conftest.frag conftest.in > conftest.out
  915   rm -f conftest.in
  916   mv conftest.out conftest.in
  917 ' >> $CONFIG_STATUS
  918   sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
  919   rm -f conftest.vals
  920   mv conftest.tail conftest.vals
  921 done
  922 rm -f conftest.vals
  923 
  924 cat >> $CONFIG_STATUS <<\EOF
  925   rm -f conftest.frag conftest.h
  926   echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
  927   cat conftest.in >> conftest.h
  928   rm -f conftest.in
  929   if cmp -s $ac_file conftest.h 2>/dev/null; then
  930     echo "$ac_file is unchanged"
  931     rm -f conftest.h
  932   else
  933     # Remove last slash and all that follows it.  Not all systems have dirname.
  934       ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  935       if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
  936       # The file is in a subdirectory.
  937       test ! -d "$ac_dir" && mkdir "$ac_dir"
  938     fi
  939     rm -f $ac_file
  940     mv conftest.h $ac_file
  941   fi
  942 fi; done
  943 
  944 EOF
  945 cat >> $CONFIG_STATUS <<EOF
  946 
  947 EOF
  948 cat >> $CONFIG_STATUS <<\EOF
  949 
  950 exit 0
  951 EOF
  952 chmod +x $CONFIG_STATUS
  953 rm -fr confdefs* $ac_clean_files
  954 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
  955